% Script file to run the DBSCAN map creation without grafical interface

% decide wether to load a pointillistic data or a previously calculated
% cluster properties data:
newDataFlag = true;

% decide wheter the resuts should be saved:
saveFlag  = true;

% fill these in case of pointillistic data import
epsilon_min = 10;
epsilon_max = 90;
epsilon_step = 10;
MinPts_min = uint16(2);
MinPts_max = uint16(20);
MinPts_step = uint16(2);

%% The program logic starts here

% add the current folder and all its subdirecties:
[containingDir,~,~] = fileparts(mfilename('fullpath'));
addpath(genpath(containingDir));
cd(containingDir);

DBSCAN_object = DBSCAN_map();

if newDataFlag
    
    epsilon_vect = epsilon_min:epsilon_step:epsilon_max;
    MinPts_vect = MinPts_min:MinPts_step:MinPts_max;

    dataFileFullName = DBSCAN_object.dataImport();
    DBSCAN_object.createMap(epsilon_vect, MinPts_vect);

else

    DBSCAN_object.loadClusterProperties()

end

DBSCAN_object.visualize();

if saveFlag
    DBSCAN_object.saveClusterProperties()
end
