function figureObject = visualizeMap(propertyMap, epsilon, N, figureTitle)

    map_min = min(min(propertyMap));
    map_max = max(max(propertyMap));

    figureObject = figure('Visible','off');
    axisObject = axes(figureObject);

    imagesc(axisObject, epsilon, N, propertyMap);

    colorbar;
    colormap('jet');
    set(gca,'ColorScale','log');
    if map_max > map_min
        clim(axisObject, [map_min, map_max]);
    end
    set(axisObject, 'YDir', 'normal')
    set(axisObject, 'ColorScale', 'log');

    title(figureTitle);
    xlabel('\epsilon (nm)', 'FontSize', 20);
    ylabel('N', 'FontSize', 20);
    
end